SDL Library Documentation
Prev |  | Next

# SDL_Delay

## Name

SDL_Delay -- Wait a specified number of milliseconds before returning.

## Synopsis

    #include "SDL.h"

``void SDL_Delay`(Uint32 ms);`

## Description

Wait a specified number of milliseconds before returning. `SDL_Delay` will wait at least the specified time, but possible longer due to OS scheduling.

> Note: Count on a delay granularity of at least 10 ms. Some platforms have shorter clock ticks but this is the most common.

## See Also

`SDL_AddTimer`

Prev | Home | Next
SDL_GetTicks | Up | SDL_AddTimer